Subject: Re: [NET 00/02]: MACVLAN driver

From: Patrick McHardy <[email-masked]>
Date: Wed, 20 Jun 2007 01:44:50 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Tue, 19 Jun 2007 23:14:21 +0200
>
>   
>> Stephen Hemminger wrote:
>>     
>>> Looks good. I have some changes to allow devices with multiple MAC addresses
>>> (never finished).  This device could use that.
>>>       
>> How would the driver do that? I was thinking about using dev_add_mc,
>> but wasn't sure if that would work with all drivers for non-multicast
>> addresses.
>>     
>
> This is actually a real issue for virtualization, and many
> if not all current generation ethernet chips support
> programming several unicast ethernet addresses in the MAC.
>
> Networking switches in domain0 on virtualization hosts use
> this feature to support seperate MACs per guest node,
> and if the chip doesn't support this the chip is put into
> promiscuous mode.
>
> We don't have any clean interfaces by which to do this MAC
> programming, and we do need something for it soon.
>   

Stephen's suggestion sounds reasonable and easily implementable,
I'll see if I can come up with a patch.